List Payment Methods

Returns a list of Payment Methods.

Use the customer query parameter to list the payment methods saved for a specific customer. Use this endpoint for account pages, billing settings, and back-office flows that need to show reusable customer payment methods.

Related guide: Payment Methods and tokenization

Query Parameters
  • limit
    Type: integer

    Integer numbers.

  • last_key
    Type: string

    Opaque cursor for pagination. Use the last_key value from the previous response to retrieve the next page.

  • customer
    Type: string

    The ID of the customer whose saved Payment Methods should be retrieved.

  • id
    Type: string
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/payment_methods
curl https://api.paypercut.io/v1/payment_methods \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "items": [
    {
      "id": "string",
      "type": "card",
      "card": {
        "cardholder_name": null,
        "brand": "string",
        "country": null,
        "issuer": null,
        "display_brand": null,
        "network": null,
        "exp_month": 1,
        "exp_year": 1,
        "fingerprint": null,
        "funding": "string",
        "segment": "string",
        "iin": "string",
        "last4": "string",
        "wallet": {
          "dynamic_last4": null,
          "type": "apple_pay"
        },
        "three_d_secure_usage": {
          "supported": true
        }
      },
      "billing_details": {
        "email": null,
        "name": null,
        "phone": null,
        "address": {
          "city": null,
          "country": null,
          "line1": null,
          "line2": null,
          "postal_code": null,
          "state": null
        }
      },
      "billing_address": {
        "city": null,
        "country": null,
        "line1": null,
        "line2": null,
        "postal_code": null,
        "state": null
      },
      "metadata": {
        "additionalProperty": "string"
      },
      "customer": "01K755J9SV2364REVHB915Z2FW",
      "usage": "on_session",
      "reusable": null,
      "livemode": true,
      "created": "2026-07-22T07:07:22.921Z"
    }
  ],
  "last_key": null
}